Subject: bug#25592: closed (Re: bug#25592: Feature request: sorting overlays)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 09 Feb 2017 19:51:02 +0000

Your bug report

#25592: Feature request: sorting overlays

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
25592: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=25592
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#25592: Feature request: sorting overlays
From: Clément Pit--Claudel <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked]
Date: Thu, 9 Feb 2017 14:50:23 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

On 2017-02-08 12:22, Eli Zaretskii wrote:
>> Cc: [email-masked]
>> From: Clément Pit--Claudel <[email-masked]>
>> Date: Tue, 7 Feb 2017 15:07:19 -0500
>>
>> would you object to a patch adding a function that takes a list of overlays from the same buffer and sorts them?
> 
> I don't think such a functionality will see too much use.  But won't
> object if someone wants to implement it.

Ok. I'll consider implementing this, but I'll implement your other suggestion first.  This bug can be closed :)

Thanks!
Clément.

Subject: Feature request: sorting overlays
From: Clément Pit--Claudel <[email-masked]>
To: [email-masked]
Date: Tue, 31 Jan 2017 15:32:26 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Is there a way to get a list of all overlays in a buffer, sorted by priority?
Currently only overlays-at seems to have a sorted parameter, and the sorting is done in C (so there seems to be no way on the list side to sort the results of overlays-in, except for reimplementing compare_overlays).

Thanks!
Clément